Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# JointData Struct Reference

One joint data set. More...

`#include <JointData.h>`

Inheritance diagram for JointData:

[legend]
Collaboration diagram for JointData:

[legend]
List of all members.

## Public Types
enum | JointID { headTilt210, neckTilt = headTilt210, headPan210, headPan = headPan210, headRoll210, headTilt = headRoll210, mouth, earL, earR, legFR1, legFR2, legFR3, legFL1, legFL2, legFL3, legHR1, legHR2, legHR3, legHL1, legHL2, legHL3, tailPan, tailTilt, numOfJoint }
| enum describing indexes of joints More...
## Public Member Functions
void | serialize (In *in, Out *out)
| JointData (long headTiltValue=jointDataInvalidValue, long headPanValue=jointDataInvalidValue, long headRollValue=jointDataInvalidValue, long mouthValue=jointDataInvalidValue, long earLValue=jointDataInvalidValue, long earRValue=jointDataInvalidValue, long legFR1Value=jointDataInvalidValue, long legFR2Value=jointDataInvalidValue, long legFR3Value=jointDataInvalidValue, long legFL1Value=jointDataInvalidValue, long legFL2Value=jointDataInvalidValue, long legFL3Value=jointDataInvalidValue, long legHR1Value=jointDataInvalidValue, long legHR2Value=jointDataInvalidValue, long legHR3Value=jointDataInvalidValue, long legHL1Value=jointDataInvalidValue, long legHL2Value=jointDataInvalidValue, long legHL3Value=jointDataInvalidValue, long tailPanValue=jointDataInvalidValue, long tailTiltValue=jointDataInvalidValue)
| Default constructor.
JointData & | operator= (const JointData &other)
| Assignment operator.
| JointData (const JointData &other)
| Copy constructor.
## Static Public Member Functions
const char * | getJointName (JointID joint)
| returns the name of a joint
JointID | getIDFromName (const char *jointName)
## Public Attributes
long | data [numOfJoint]
| The joint data values.

## Detailed Description

One joint data set.

Containing values for all used joints.

Author:
  Max Risler

Definition at line 24 of file JointData.h.

## Member Enumeration Documentation

enum JointData::JointID

  | enum describing indexes of joints Enumeration values:
  headTilt210 |
  neckTilt |
  headPan210 |
  headPan |
  headRoll210 |
  headTilt |
  mouth |
  earL |
  earR |
  legFR1 |
  legFR2 |
  legFR3 |
  legFL1 |
  legFL2 |
  legFL3 |
  legHR1 |
  legHR2 |
  legHR3 |
  legHL1 |
  legHL2 |
  legHL3 |
  tailPan |
  tailTilt |
  numOfJoint |
Definition at line 56 of file JointData.h. Referenced by getIDFromName().

## Constructor & Destructor Documentation

JointData::JointData | ( | long | headTiltValue = jointDataInvalidValue,
|  | long | headPanValue = jointDataInvalidValue,
|  | long | headRollValue = jointDataInvalidValue,
|  | long | mouthValue = jointDataInvalidValue,
|  | long | earLValue = jointDataInvalidValue,
|  | long | earRValue = jointDataInvalidValue,
|  | long | legFR1Value = jointDataInvalidValue,
|  | long | legFR2Value = jointDataInvalidValue,
|  | long | legFR3Value = jointDataInvalidValue,
|  | long | legFL1Value = jointDataInvalidValue,
|  | long | legFL2Value = jointDataInvalidValue,
|  | long | legFL3Value = jointDataInvalidValue,
|  | long | legHR1Value = jointDataInvalidValue,
|  | long | legHR2Value = jointDataInvalidValue,
|  | long | legHR3Value = jointDataInvalidValue,
|  | long | legHL1Value = jointDataInvalidValue,
|  | long | legHL2Value = jointDataInvalidValue,
|  | long | legHL3Value = jointDataInvalidValue,
|  | long | tailPanValue = jointDataInvalidValue,
|  | long | tailTiltValue = jointDataInvalidValue
| ) |

| Default constructor. Definition at line 13 of file JointData.cpp. References earL, earR, headPan, headTilt, legFL1, legFL2, legFL3, legFR1, legFR2, legFR3, legHL1, legHL2, legHL3, legHR1, legHR2, legHR3, neckTilt, tailPan, and tailTilt.

JointData::JointData | ( | const JointData & | other | ) |

| Copy constructor. Definition at line 65 of file JointData.cpp.

## Member Function Documentation

void JointData::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, virtual]`

| Implements Streamable. Definition at line 26 of file JointData.h. References earL, earR, headPan, headTilt, legFL1, legFL2, legFL3, legFR1, legFR2, legFR3, legHL1, legHL2, legHL3, legHR1, legHR2, legHR3, neckTilt, STREAM, STREAM_REGISTER_BEGIN, STREAM_REGISTER_FINISH, tailPan, and tailTilt.

JointData & JointData::operator= | ( | const JointData & | other | ) |

| Assignment operator. Definition at line 58 of file JointData.cpp. References data, and numOfJoint.

const char* JointData::getJointName | ( | JointID | joint | ) | `[inline, static]`

| returns the name of a joint Definition at line 106 of file JointData.h. References earL, earR, headPan210, headRoll210, headTilt210, legFL1, legFL2, legFL3, legFR1, legFR2, legFR3, legHL1, legHL2, legHL3, legHR1, legHR2, legHR3, tailPan, and tailTilt. Referenced by getIDFromName().

JointData::JointID JointData::getIDFromName | ( | const char * | jointName | ) | `[static]`

| Definition at line 71 of file JointData.cpp. References getJointName(), headTilt, JointID, neckTilt, and numOfJoint.

Here is the call graph for this function:

## Member Data Documentation

long JointData::data[numOfJoint]

| The joint data values. Definition at line 74 of file JointData.h. Referenced by InvKinWalkingEngine::calculateData(), GT2005WalkingEngine::calculateData(), GT2004WalkingEngine::calculateData(), GT2003MotionNetSpecialActions::calculateJointData(), DebugMotionControl::clip(), WakeUpEngine::execute(), GT2005MotionControl::execute(), DebugMotionControl::execute(), WalkingEngineSelector::executeParameterized(), ParamRearOnlyInvKinWalkingEngine::executeParameterized(), FourierCoefficient::fourierSynth(), Kinematics::getRelativeRobotVertices(), JointDataSequencer::interpolateJointData(), operator=(), GT2005WalkingEngine::readDebugData(), GT2005WalkingEngine::readResampleData(), DebugMotionControl::setStayAsForcedValue(), MotionStabilizer::stabilize(), MotionNetNode::toJointData(), and GT2005MotionControl::wagTail().

The documentation for this struct was generated from the following files:

- Representations/Motion/JointData.h
- Representations/Motion/JointData.cpp